Simplified.ID API: v2

<back to all web services

GetCompanyLookup

CompanyLookup
The following routes are available for this service:
POST/companylookups/getGet a company lookup
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*


@DataContract
open class GetCompanyLookup : BaseRequest()
{
    @DataMember
    open var request:GetCompanyLookupRequest? = null
}

@DataContract
open class BaseRequest : IBaseRequest
{
    /**
    * The authentication credentials
    */
    @DataMember
    @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
    override var authentication:Authentication? = null
}

@DataContract
open class Authentication
{
    /**
    * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
    */
    @DataMember
    @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
    open var apiUserId:String? = null

    /**
    * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
    */
    @DataMember
    @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
    open var apiUserKey:String? = null

    /**
    * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
    */
    @DataMember
    @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
    open var userId:String? = null
}

open class GetCompanyLookupRequest
{
    /**
    * If the search is being accessed by a sub user, specify their username here to validate they have permissions to view it
    */
    @ApiMember(Description="If the search is being accessed by a sub user, specify their username here to validate they have permissions to view it")
    open var subUserName:String? = null

    open var id:Int? = null
}

@DataContract
open class GetCompanyLookupResponse
{
    @DataMember
    @SerializedName("data") open var Data:GetCompanyLookupData? = null
}

open class GetCompanyLookupData : BaseResponse(), IBaseSearchResponse
{
    override var linkedTo:ArrayOfLinkedTo? = null
    open var searchRecord:CompanyLookupSearchRecord? = null
}

open class BaseResponse : IBaseDataResponse, IHasResponseStatus
{
    /**
    * The status of the response
    */
    @ApiMember(Description="The status of the response")
    override var responseStatus:ResponseStatus? = null
}

open class ArrayOfResponseError : ArrayList<ResponseError>()
{
}

open class ArrayOfLinkedTo : ArrayList<LinkedTo>()
{
}

open class LinkedTo
{
    open var clientId:Int? = null
    open var id:Long? = null
    @SerializedName("type") open var Type:String? = null
    open var subtype:String? = null
    open var status:String? = null
    open var description:String? = null
    open var isArchived:Boolean? = null
    open var name:String? = null
    open var date:Date? = null
}

open class CompanyLookupSearchRecord
{
    open var id:Int? = null
    open var searchCriteria:SearchCriteria? = null
    open var selectedLists:ArrayOfLists? = null
    open var date:Date? = null
    open var hasCompanyId:Boolean? = null
    open var hasCompanyDetails:Boolean? = null
    open var hasStartedSearches:Boolean? = null
    open var hasCompletedSearches:Boolean? = null
    open var companyLookupType:String? = null
    open var isArchived:Boolean? = null
    open var companyChanges:ArrayOfCompanyChanges? = null
    open var companyDirectorsAndShareholders:ArrayList<CompanyDirectorOrShareholder>? = null
    open var companySearchRecord:SearchListItem? = null
    open var hasEnhancedInformation:Boolean? = null
    open var enhancedInformation:CompanyLookupEnhanced? = null
}

open class SearchCriteria
{
    open var name:String? = null
    open var address:String? = null
    open var country:String? = null
    open var dateOfBirth:String? = null
    open var nationality:String? = null
    open var reference:String? = null
}

open class ArrayOfLists : ArrayList<String>()
{
}

open class ArrayOfCompanyChanges : ArrayList<CompanyChange>()
{
}

open class CompanyChange
{
    open var dateOfChange:Date? = null
    open var changeEventType:String? = null
    open var isPending:Boolean? = null
    open var companyChangeData:ArrayOfCompanyChangeData? = null
}

open class ArrayOfCompanyChangeData : ArrayList<CompanyChangeData>()
{
}

open class CompanyChangeData
{
    open var name:String? = null
    open var previousValue:String? = null
    open var newValue:String? = null
}

open class CompanyDirectorOrShareholder
{
    open var id:Long? = null
    open var searchType:String? = null
    open var dateSearched:Date? = null
    open var dateUpdated:Date? = null
    open var numOfResults:Int? = null
    open var clientInResults:Boolean? = null
    open var clientNotInResults:Boolean? = null
    open var affectedByUpdate:Boolean? = null
    open var searchCriteria:SearchCriteria? = null
    open var isDirector:Boolean? = null
    open var isShareholder:Boolean? = null
}

open class SearchListItem
{
    open var id:Long? = null
    open var searchType:String? = null
    open var dateSearched:Date? = null
    open var dateUpdated:Date? = null
    open var dateArchived:Date? = null
    open var isArchived:Boolean? = null
    open var numOfResults:Int? = null
    open var clientInResults:Boolean? = null
    open var clientNotInResults:Boolean? = null
    open var affectedByUpdate:Boolean? = null
    open var searchCriteria:SearchCriteria? = null
    open var searchSources:ArrayList<SearchSource>? = null
}

open class SearchSource
{
    open var listId:String? = null
    open var listName:String? = null
    open var listShortName:String? = null
    open var isAffectedByListUpdate:Boolean? = null
}

open class CompanyLookupEnhanced
{
    open var summary:CompanyLookupEnhancedSummary? = null
    open var contactInformation:CompanyLookupEnhancedContactInfo? = null
    open var sicCodes:ArrayList<CompanyLookupEnhancedSicCode>? = null
    open var previousNames:ArrayList<CompanyLookupEnhancedPreviousName>? = null
    open var shareStructure:CompanyLookupEnhancedShareStructure? = null
    open var directors:CompanyLookupEnhancedDirectors? = null
    open var groupStructure:CompanyLookupEnhancedStructure? = null
    open var countyCourtJudgements:CompanyLookupEnhancedCCJs? = null
    open var eventHistory:ArrayList<CompanyLookupEnhancedEvent>? = null
    open var commentaries:ArrayList<CompanyLookupEnhancedCommentary>? = null
    open var creditAccounts:CompanyLookupEnhancedCreditAccount? = null
    open var financialStatements:ArrayList<CompanyLookupEnhancedFinancialStatement>? = null
}

open class CompanyLookupEnhancedSummary
{
    open var name:String? = null
    open var country:String? = null
    open var registrationNumber:String? = null
    open var dateOfIncorporation:String? = null
    open var typeOfIncorporation:String? = null
    open var companyStatus:String? = null
    open var address:String? = null
    open var telephone:String? = null
    open var sicCode:String? = null
    open var sicDescription:String? = null
    open var principleActivity:String? = null
    open var latestAccounts:CompanyLookupEnhancedLatestAccounts? = null
}

open class CompanyLookupEnhancedLatestAccounts
{
    open var currency:String? = null
    open var turnover:BigDecimal? = null
    open var shareholdersEquity:BigDecimal? = null
    open var creditRating:Int? = null
    open var creditLimit:Int? = null
    open var creditRatingDescription:String? = null
    open var accountRefDay:Int? = null
    open var accountRefMonth:Int? = null
    open var accountNextDueDate:Date? = null
    open var accountLastMadeUpDate:Date? = null
    open var accountCategory:String? = null
    open var returnLastMadeUpDate:Date? = null
}

open class CompanyLookupEnhancedContactInfo
{
    open var registeredAddress:CompanyLookupEnhancedAddress? = null
    open var tradingAddresses:ArrayList<CompanyLookupEnhancedAddress>? = null
    open var websites:ArrayList<CompanyLookupEnhancedWebsite>? = null
    open var additionalContactInfo:CompanyLookupEnhancedAdditionalContact? = null
}

open class CompanyLookupEnhancedAddress
{
    open var fullAddress:String? = null
    open var address1:String? = null
    open var address2:String? = null
    open var address3:String? = null
    open var address4:String? = null
    open var postCode:String? = null
    open var telephone:String? = null
}

open class CompanyLookupEnhancedWebsite
{
    open var website:String? = null
}

open class CompanyLookupEnhancedAdditionalContact
{
    open var telephone:String? = null
    open var faxNumber:String? = null
    open var emailAddress:String? = null
    open var webAddress:String? = null
    open var twitter:String? = null
    open var facebook:String? = null
    open var googlePlus:String? = null
    open var linkedIn:String? = null
    open var contactName:String? = null
    open var businessClassification:String? = null
}

open class CompanyLookupEnhancedSicCode
{
    open var sicCode2003:Int? = null
    open var sicCode2003Description:String? = null
    open var sicCode2007:Int? = null
    open var sicCode2007Description:String? = null
    open var status:String? = null
}

open class CompanyLookupEnhancedPreviousName
{
    open var dateChanged:Date? = null
    open var name:String? = null
}

open class CompanyLookupEnhancedShareStructure
{
    open var issuedShareCapital:BigDecimal? = null
    open var shareholders:ArrayList<CompanyLookupEnhancedShareholder>? = null
}

open class CompanyLookupEnhancedShareholder
{
    open var title:String? = null
    open var forename:String? = null
    open var surname:String? = null
    open var address1:String? = null
    open var address2:String? = null
    open var address3:String? = null
    open var address4:String? = null
    open var address5:String? = null
    open var postCode:String? = null
    open var shareType:String? = null
    open var number:BigDecimal? = null
    open var value:BigDecimal? = null
    open var currency:String? = null
    open var shareholderType:String? = null
    open var shareClass:String? = null
}

open class CompanyLookupEnhancedDirectors
{
    open var currentDirectors:ArrayList<CompanyLookupEnhancedDirector>? = null
    open var previousDirectors:ArrayList<CompanyLookupEnhancedDirector>? = null
}

open class CompanyLookupEnhancedDirector
{
    open var name:String? = null
    open var address:String? = null
    open var gender:String? = null
    open var appointmentDate:Date? = null
    open var resignationDate:Date? = null
    open var dateOfBirth:Date? = null
    open var position:String? = null
    open var idNumber:Int? = null
    open var currentDirectorships:Int? = null
    open var previousDirectorships:Int? = null
    open var totalDirectorships:Int? = null
}

open class CompanyLookupEnhancedStructure
{
    open var parentCompanies:ArrayList<CompanyLookupEnhancedCompany>? = null
    open var subsidiaryCompanies:ArrayList<CompanyLookupEnhancedCompany>? = null
}

open class CompanyLookupEnhancedCompany
{
    open var country:String? = null
    open var companyName:String? = null
    open var companyNumber:String? = null
}

open class CompanyLookupEnhancedCCJs
{
    open var possibleCCJs:ArrayList<CompanyLookupEnhancedCCJ>? = null
    open var exactCCJs:ArrayList<CompanyLookupEnhancedCCJ>? = null
}

open class CompanyLookupEnhancedCCJ
{
    open var date:Date? = null
    open var court:String? = null
    open var amount:BigDecimal? = null
    open var caseNumber:String? = null
    open var status:String? = null
    open var datePaid:String? = null
    open var incomingRecordDetails:String? = null
}

open class CompanyLookupEnhancedEvent
{
    open var date:Date? = null
    open var description:String? = null
}

open class CompanyLookupEnhancedCommentary
{
    open var text:String? = null
    open var positiveOrNegative:String? = null
    open var priority:Int? = null
}

open class CompanyLookupEnhancedCreditAccount
{
    open var creditLimitHistory:ArrayList<CompanyLookupEnhancedCreditLimit>? = null
    open var creditRatingHistory:ArrayList<CompanyLookupEnhancedCreditRating>? = null
}

open class CompanyLookupEnhancedCreditLimit
{
    open var date:Date? = null
    open var dateOrder:Int? = null
    open var amount:Int? = null
}

open class CompanyLookupEnhancedCreditRating
{
    open var date:Date? = null
    open var dateOrder:Int? = null
    open var amount:Int? = null
    open var shortDescription:String? = null
    open var description:String? = null
}

open class CompanyLookupEnhancedFinancialStatement
{
    open var yearEndDateOrder:Int? = null
    open var yearEndDate:Date? = null
    open var summaryNumberOfWeeks:Int? = null
    open var summaryCurrency:String? = null
    open var summaryConsolidatedAccount:String? = null
    open var profitAndLoss:CompanyLookupFinancialProfit? = null
    open var balanceSheet:CompanyLookupFinancialBalance? = null
    open var capitalAndReserves:CompanyLookupFinancialCapital? = null
    open var other:CompanyLookupFinancialOther? = null
    open var cash:CompanyLookupFinancialCash? = null
    open var misc:CompanyLookupFinancialMisc? = null
    open var ratios:CompanyLookupFinancialRatios? = null
}

open class CompanyLookupFinancialProfit
{
    open var turnover:BigDecimal? = null
    open var export:BigDecimal? = null
    open var costOfSales:BigDecimal? = null
    open var grossProfit:BigDecimal? = null
    open var wagesAndSalaries:BigDecimal? = null
    open var directorEmolument:BigDecimal? = null
    open var operatingProfit:BigDecimal? = null
    open var depreciation:BigDecimal? = null
    open var auditFees:BigDecimal? = null
    open var interestPayments:BigDecimal? = null
    open var pretaxProfit:BigDecimal? = null
    open var taxation:BigDecimal? = null
    open var profitAfterTax:BigDecimal? = null
    open var dividendsPayable:BigDecimal? = null
    open var retainedProfit:BigDecimal? = null
}

open class CompanyLookupFinancialBalance
{
    open var tangibleAccounts:BigDecimal? = null
    open var intangibleAssets:BigDecimal? = null
    open var totalFixedAssets:BigDecimal? = null
    open var stock:BigDecimal? = null
    open var tradeDebtors:BigDecimal? = null
    open var cash:BigDecimal? = null
    open var otherDebtors:BigDecimal? = null
    open var miscCurrentAssets:BigDecimal? = null
    open var totalCurrentAssets:BigDecimal? = null
    open var tradeCreditors:BigDecimal? = null
    open var bankLoansAndOverdrafts:BigDecimal? = null
    open var otherShortTermFinance:BigDecimal? = null
    open var miscCurrentLiabilities:BigDecimal? = null
    open var totalCurrentLiabilities:BigDecimal? = null
    open var bankLoansAndOverdraftsAndLTL:BigDecimal? = null
    open var otherLongTermFinance:BigDecimal? = null
    open var totalLongTermFinance:BigDecimal? = null
    open var totalLiabilities:BigDecimal? = null
    open var investmentAndOther:BigDecimal? = null
    open var investmentAndOtherAssets:BigDecimal? = null
    open var debtorsDueAfter1Year:BigDecimal? = null
    open var otherTangibleAssets:BigDecimal? = null
}

open class CompanyLookupFinancialCapital
{
    open var calledUpSharedCapital:BigDecimal? = null
    open var profitAndLossAccountReserve:BigDecimal? = null
    open var revaluationReserve:BigDecimal? = null
    open var sundryReserves:BigDecimal? = null
    open var shareholderFunds:BigDecimal? = null
}

open class CompanyLookupFinancialOther
{
    open var netWorth:BigDecimal? = null
    open var netAssets:BigDecimal? = null
    open var workingCapital:BigDecimal? = null
    open var totalAssets:BigDecimal? = null
    open var totalLiabilities:BigDecimal? = null
}

open class CompanyLookupFinancialCash
{
    open var netCashFlowFromOperations:BigDecimal? = null
    open var netCashFlowBeforeFinancing:BigDecimal? = null
    open var netCashFlowFromFinancing:BigDecimal? = null
    open var increaseInCash:BigDecimal? = null
}

open class CompanyLookupFinancialMisc
{
    open var contingentLiability:String? = null
    open var capitalEmployed:BigDecimal? = null
    open var numberOfEmployees:BigDecimal? = null
    open var auditors:String? = null
    open var auditorComments:String? = null
    open var bankers:String? = null
    open var bankBranchCode:String? = null
}

open class CompanyLookupFinancialRatios
{
    open var preTaxProfitMargin:BigDecimal? = null
    open var currentRatio:BigDecimal? = null
    open var salesNetworkingCapital:BigDecimal? = null
    open var gearing:BigDecimal? = null
    open var equity:BigDecimal? = null
    open var creditorDays:BigDecimal? = null
    open var debtorDays:BigDecimal? = null
    open var liquidityAcidTest:BigDecimal? = null
    open var returnOnCapitalEmployed:BigDecimal? = null
    open var returnOnNetAssetsEmployed:BigDecimal? = null
    open var returnOnTotalAssetsEmployed:BigDecimal? = null
    open var currentDebtRatio:BigDecimal? = null
    open var totalDebtRatio:BigDecimal? = null
    open var stockTurnoverRatio:BigDecimal? = null
}

Kotlin GetCompanyLookup DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /companylookups/get HTTP/1.1 
Host: api.simplified.id 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<GetCompanyLookup xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Authentication>
    <ApiUserId>String</ApiUserId>
    <ApiUserKey>String</ApiUserKey>
    <UserId>String</UserId>
  </Authentication>
  <Request>
    <Id>0</Id>
    <SubUserName>String</SubUserName>
  </Request>
</GetCompanyLookup>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<GetCompanyLookupResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Data>
    <ResponseStatus>
      <ErrorCode>String</ErrorCode>
      <Message>String</Message>
      <StackTrace>String</StackTrace>
      <Errors>
        <ResponseError>
          <ErrorCode>String</ErrorCode>
          <FieldName>String</FieldName>
          <Message>String</Message>
          <Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
            <d6p1:KeyValueOfstringstring>
              <d6p1:Key>String</d6p1:Key>
              <d6p1:Value>String</d6p1:Value>
            </d6p1:KeyValueOfstringstring>
          </Meta>
        </ResponseError>
      </Errors>
      <Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>String</d4p1:Key>
          <d4p1:Value>String</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </Meta>
    </ResponseStatus>
    <LinkedTo>
      <LinkedTo>
        <ClientId>0</ClientId>
        <Date>0001-01-01T00:00:00</Date>
        <Description>String</Description>
        <Id>0</Id>
        <IsArchived>false</IsArchived>
        <Name>String</Name>
        <Status>String</Status>
        <Subtype>String</Subtype>
        <Type>String</Type>
      </LinkedTo>
    </LinkedTo>
    <SearchRecord>
      <CompanyChanges>
        <CompanyChange>
          <ChangeEventType>String</ChangeEventType>
          <CompanyChangeData>
            <CompanyChangeData>
              <Name>String</Name>
              <NewValue>String</NewValue>
              <PreviousValue>String</PreviousValue>
            </CompanyChangeData>
          </CompanyChangeData>
          <DateOfChange>0001-01-01T00:00:00</DateOfChange>
          <IsPending>false</IsPending>
        </CompanyChange>
      </CompanyChanges>
      <CompanyDirectorsAndShareholders>
        <CompanyDirectorOrShareholder>
          <AffectedByUpdate>false</AffectedByUpdate>
          <ClientInResults>false</ClientInResults>
          <ClientNotInResults>false</ClientNotInResults>
          <DateSearched>0001-01-01T00:00:00</DateSearched>
          <DateUpdated>0001-01-01T00:00:00</DateUpdated>
          <Id>0</Id>
          <IsDirector>false</IsDirector>
          <IsShareholder>false</IsShareholder>
          <NumOfResults>0</NumOfResults>
          <SearchCriteria>
            <Address>String</Address>
            <Country>String</Country>
            <DateOfBirth>String</DateOfBirth>
            <Name>String</Name>
            <Nationality>String</Nationality>
            <Reference>String</Reference>
          </SearchCriteria>
          <SearchType>String</SearchType>
        </CompanyDirectorOrShareholder>
      </CompanyDirectorsAndShareholders>
      <CompanyLookupType>String</CompanyLookupType>
      <CompanySearchRecord>
        <AffectedByUpdate>false</AffectedByUpdate>
        <ClientInResults>false</ClientInResults>
        <ClientNotInResults>false</ClientNotInResults>
        <DateArchived>0001-01-01T00:00:00</DateArchived>
        <DateSearched>0001-01-01T00:00:00</DateSearched>
        <DateUpdated>0001-01-01T00:00:00</DateUpdated>
        <Id>0</Id>
        <IsArchived>false</IsArchived>
        <NumOfResults>0</NumOfResults>
        <SearchCriteria>
          <Address>String</Address>
          <Country>String</Country>
          <DateOfBirth>String</DateOfBirth>
          <Name>String</Name>
          <Nationality>String</Nationality>
          <Reference>String</Reference>
        </SearchCriteria>
        <SearchSources>
          <SearchSource>
            <IsAffectedByListUpdate>false</IsAffectedByListUpdate>
            <ListId>String</ListId>
            <ListName>String</ListName>
            <ListShortName>String</ListShortName>
          </SearchSource>
        </SearchSources>
        <SearchType>String</SearchType>
      </CompanySearchRecord>
      <Date>0001-01-01T00:00:00</Date>
      <EnhancedInformation>
        <Commentaries>
          <CompanyLookupEnhancedCommentary>
            <PositiveOrNegative>String</PositiveOrNegative>
            <Priority>0</Priority>
            <Text>String</Text>
          </CompanyLookupEnhancedCommentary>
        </Commentaries>
        <ContactInformation>
          <AdditionalContactInfo>
            <BusinessClassification>String</BusinessClassification>
            <ContactName>String</ContactName>
            <EmailAddress>String</EmailAddress>
            <Facebook>String</Facebook>
            <FaxNumber>String</FaxNumber>
            <GooglePlus>String</GooglePlus>
            <LinkedIn>String</LinkedIn>
            <Telephone>String</Telephone>
            <Twitter>String</Twitter>
            <WebAddress>String</WebAddress>
          </AdditionalContactInfo>
          <RegisteredAddress>
            <Address1>String</Address1>
            <Address2>String</Address2>
            <Address3>String</Address3>
            <Address4>String</Address4>
            <FullAddress>String</FullAddress>
            <PostCode>String</PostCode>
            <Telephone>String</Telephone>
          </RegisteredAddress>
          <TradingAddresses>
            <CompanyLookupEnhancedAddress>
              <Address1>String</Address1>
              <Address2>String</Address2>
              <Address3>String</Address3>
              <Address4>String</Address4>
              <FullAddress>String</FullAddress>
              <PostCode>String</PostCode>
              <Telephone>String</Telephone>
            </CompanyLookupEnhancedAddress>
          </TradingAddresses>
          <Websites>
            <CompanyLookupEnhancedWebsite>
              <Website>String</Website>
            </CompanyLookupEnhancedWebsite>
          </Websites>
        </ContactInformation>
        <CountyCourtJudgements>
          <ExactCCJs>
            <CompanyLookupEnhancedCCJ>
              <Amount>0</Amount>
              <CaseNumber>String</CaseNumber>
              <Court>String</Court>
              <Date>0001-01-01T00:00:00</Date>
              <DatePaid>String</DatePaid>
              <IncomingRecordDetails>String</IncomingRecordDetails>
              <Status>String</Status>
            </CompanyLookupEnhancedCCJ>
          </ExactCCJs>
          <PossibleCCJs>
            <CompanyLookupEnhancedCCJ>
              <Amount>0</Amount>
              <CaseNumber>String</CaseNumber>
              <Court>String</Court>
              <Date>0001-01-01T00:00:00</Date>
              <DatePaid>String</DatePaid>
              <IncomingRecordDetails>String</IncomingRecordDetails>
              <Status>String</Status>
            </CompanyLookupEnhancedCCJ>
          </PossibleCCJs>
        </CountyCourtJudgements>
        <CreditAccounts>
          <CreditLimitHistory>
            <CompanyLookupEnhancedCreditLimit>
              <Amount>0</Amount>
              <Date>0001-01-01T00:00:00</Date>
              <DateOrder>0</DateOrder>
            </CompanyLookupEnhancedCreditLimit>
          </CreditLimitHistory>
          <CreditRatingHistory>
            <CompanyLookupEnhancedCreditRating>
              <Amount>0</Amount>
              <Date>0001-01-01T00:00:00</Date>
              <DateOrder>0</DateOrder>
              <Description>String</Description>
              <ShortDescription>String</ShortDescription>
            </CompanyLookupEnhancedCreditRating>
          </CreditRatingHistory>
        </CreditAccounts>
        <Directors>
          <CurrentDirectors>
            <CompanyLookupEnhancedDirector>
              <Address>String</Address>
              <AppointmentDate>0001-01-01T00:00:00</AppointmentDate>
              <CurrentDirectorships>0</CurrentDirectorships>
              <DateOfBirth>0001-01-01T00:00:00</DateOfBirth>
              <Gender>String</Gender>
              <IdNumber>0</IdNumber>
              <Name>String</Name>
              <Position>String</Position>
              <PreviousDirectorships>0</PreviousDirectorships>
              <ResignationDate>0001-01-01T00:00:00</ResignationDate>
              <TotalDirectorships>0</TotalDirectorships>
            </CompanyLookupEnhancedDirector>
          </CurrentDirectors>
          <PreviousDirectors>
            <CompanyLookupEnhancedDirector>
              <Address>String</Address>
              <AppointmentDate>0001-01-01T00:00:00</AppointmentDate>
              <CurrentDirectorships>0</CurrentDirectorships>
              <DateOfBirth>0001-01-01T00:00:00</DateOfBirth>
              <Gender>String</Gender>
              <IdNumber>0</IdNumber>
              <Name>String</Name>
              <Position>String</Position>
              <PreviousDirectorships>0</PreviousDirectorships>
              <ResignationDate>0001-01-01T00:00:00</ResignationDate>
              <TotalDirectorships>0</TotalDirectorships>
            </CompanyLookupEnhancedDirector>
          </PreviousDirectors>
        </Directors>
        <EventHistory>
          <CompanyLookupEnhancedEvent>
            <Date>0001-01-01T00:00:00</Date>
            <Description>String</Description>
          </CompanyLookupEnhancedEvent>
        </EventHistory>
        <FinancialStatements>
          <CompanyLookupEnhancedFinancialStatement>
            <BalanceSheet>
              <BankLoansAndOverdrafts>0</BankLoansAndOverdrafts>
              <BankLoansAndOverdraftsAndLTL>0</BankLoansAndOverdraftsAndLTL>
              <Cash>0</Cash>
              <DebtorsDueAfter1Year>0</DebtorsDueAfter1Year>
              <IntangibleAssets>0</IntangibleAssets>
              <InvestmentAndOther>0</InvestmentAndOther>
              <InvestmentAndOtherAssets>0</InvestmentAndOtherAssets>
              <MiscCurrentAssets>0</MiscCurrentAssets>
              <MiscCurrentLiabilities>0</MiscCurrentLiabilities>
              <OtherDebtors>0</OtherDebtors>
              <OtherLongTermFinance>0</OtherLongTermFinance>
              <OtherShortTermFinance>0</OtherShortTermFinance>
              <OtherTangibleAssets>0</OtherTangibleAssets>
              <Stock>0</Stock>
              <TangibleAccounts>0</TangibleAccounts>
              <TotalCurrentAssets>0</TotalCurrentAssets>
              <TotalCurrentLiabilities>0</TotalCurrentLiabilities>
              <TotalFixedAssets>0</TotalFixedAssets>
              <TotalLiabilities>0</TotalLiabilities>
              <TotalLongTermFinance>0</TotalLongTermFinance>
              <TradeCreditors>0</TradeCreditors>
              <TradeDebtors>0</TradeDebtors>
            </BalanceSheet>
            <CapitalAndReserves>
              <CalledUpSharedCapital>0</CalledUpSharedCapital>
              <ProfitAndLossAccountReserve>0</ProfitAndLossAccountReserve>
              <RevaluationReserve>0</RevaluationReserve>
              <ShareholderFunds>0</ShareholderFunds>
              <SundryReserves>0</SundryReserves>
            </CapitalAndReserves>
            <Cash>
              <IncreaseInCash>0</IncreaseInCash>
              <NetCashFlowBeforeFinancing>0</NetCashFlowBeforeFinancing>
              <NetCashFlowFromFinancing>0</NetCashFlowFromFinancing>
              <NetCashFlowFromOperations>0</NetCashFlowFromOperations>
            </Cash>
            <Misc>
              <AuditorComments>String</AuditorComments>
              <Auditors>String</Auditors>
              <BankBranchCode>String</BankBranchCode>
              <Bankers>String</Bankers>
              <CapitalEmployed>0</CapitalEmployed>
              <ContingentLiability>String</ContingentLiability>
              <NumberOfEmployees>0</NumberOfEmployees>
            </Misc>
            <Other>
              <NetAssets>0</NetAssets>
              <NetWorth>0</NetWorth>
              <TotalAssets>0</TotalAssets>
              <TotalLiabilities>0</TotalLiabilities>
              <WorkingCapital>0</WorkingCapital>
            </Other>
            <ProfitAndLoss>
              <AuditFees>0</AuditFees>
              <CostOfSales>0</CostOfSales>
              <Depreciation>0</Depreciation>
              <DirectorEmolument>0</DirectorEmolument>
              <DividendsPayable>0</DividendsPayable>
              <Export>0</Export>
              <GrossProfit>0</GrossProfit>
              <InterestPayments>0</InterestPayments>
              <OperatingProfit>0</OperatingProfit>
              <PretaxProfit>0</PretaxProfit>
              <ProfitAfterTax>0</ProfitAfterTax>
              <RetainedProfit>0</RetainedProfit>
              <Taxation>0</Taxation>
              <Turnover>0</Turnover>
              <WagesAndSalaries>0</WagesAndSalaries>
            </ProfitAndLoss>
            <Ratios>
              <CreditorDays>0</CreditorDays>
              <CurrentDebtRatio>0</CurrentDebtRatio>
              <CurrentRatio>0</CurrentRatio>
              <DebtorDays>0</DebtorDays>
              <Equity>0</Equity>
              <Gearing>0</Gearing>
              <LiquidityAcidTest>0</LiquidityAcidTest>
              <PreTaxProfitMargin>0</PreTaxProfitMargin>
              <ReturnOnCapitalEmployed>0</ReturnOnCapitalEmployed>
              <ReturnOnNetAssetsEmployed>0</ReturnOnNetAssetsEmployed>
              <ReturnOnTotalAssetsEmployed>0</ReturnOnTotalAssetsEmployed>
              <SalesNetworkingCapital>0</SalesNetworkingCapital>
              <StockTurnoverRatio>0</StockTurnoverRatio>
              <TotalDebtRatio>0</TotalDebtRatio>
            </Ratios>
            <SummaryConsolidatedAccount>String</SummaryConsolidatedAccount>
            <SummaryCurrency>String</SummaryCurrency>
            <SummaryNumberOfWeeks>0</SummaryNumberOfWeeks>
            <YearEndDate>0001-01-01T00:00:00</YearEndDate>
            <YearEndDateOrder>0</YearEndDateOrder>
          </CompanyLookupEnhancedFinancialStatement>
        </FinancialStatements>
        <GroupStructure>
          <ParentCompanies>
            <CompanyLookupEnhancedCompany>
              <CompanyName>String</CompanyName>
              <CompanyNumber>String</CompanyNumber>
              <Country>String</Country>
            </CompanyLookupEnhancedCompany>
          </ParentCompanies>
          <SubsidiaryCompanies>
            <CompanyLookupEnhancedCompany>
              <CompanyName>String</CompanyName>
              <CompanyNumber>String</CompanyNumber>
              <Country>String</Country>
            </CompanyLookupEnhancedCompany>
          </SubsidiaryCompanies>
        </GroupStructure>
        <PreviousNames>
          <CompanyLookupEnhancedPreviousName>
            <DateChanged>0001-01-01T00:00:00</DateChanged>
            <Name>String</Name>
          </CompanyLookupEnhancedPreviousName>
        </PreviousNames>
        <ShareStructure>
          <IssuedShareCapital>0</IssuedShareCapital>
          <Shareholders>
            <CompanyLookupEnhancedShareholder>
              <Address1>String</Address1>
              <Address2>String</Address2>
              <Address3>String</Address3>
              <Address4>String</Address4>
              <Address5>String</Address5>
              <Currency>String</Currency>
              <Forename>String</Forename>
              <Number>0</Number>
              <PostCode>String</PostCode>
              <ShareClass>String</ShareClass>
              <ShareType>String</ShareType>
              <ShareholderType>String</ShareholderType>
              <Surname>String</Surname>
              <Title>String</Title>
              <Value>0</Value>
            </CompanyLookupEnhancedShareholder>
          </Shareholders>
        </ShareStructure>
        <SicCodes>
          <CompanyLookupEnhancedSicCode>
            <SicCode2003>0</SicCode2003>
            <SicCode2003Description>String</SicCode2003Description>
            <SicCode2007>0</SicCode2007>
            <SicCode2007Description>String</SicCode2007Description>
            <Status>String</Status>
          </CompanyLookupEnhancedSicCode>
        </SicCodes>
        <Summary>
          <Address>String</Address>
          <CompanyStatus>String</CompanyStatus>
          <Country>String</Country>
          <DateOfIncorporation>String</DateOfIncorporation>
          <LatestAccounts>
            <AccountCategory>String</AccountCategory>
            <AccountLastMadeUpDate>0001-01-01T00:00:00</AccountLastMadeUpDate>
            <AccountNextDueDate>0001-01-01T00:00:00</AccountNextDueDate>
            <AccountRefDay>0</AccountRefDay>
            <AccountRefMonth>0</AccountRefMonth>
            <CreditLimit>0</CreditLimit>
            <CreditRating>0</CreditRating>
            <CreditRatingDescription>String</CreditRatingDescription>
            <Currency>String</Currency>
            <ReturnLastMadeUpDate>0001-01-01T00:00:00</ReturnLastMadeUpDate>
            <ShareholdersEquity>0</ShareholdersEquity>
            <Turnover>0</Turnover>
          </LatestAccounts>
          <Name>String</Name>
          <PrincipleActivity>String</PrincipleActivity>
          <RegistrationNumber>String</RegistrationNumber>
          <SicCode>String</SicCode>
          <SicDescription>String</SicDescription>
          <Telephone>String</Telephone>
          <TypeOfIncorporation>String</TypeOfIncorporation>
        </Summary>
      </EnhancedInformation>
      <HasCompanyDetails>false</HasCompanyDetails>
      <HasCompanyId>false</HasCompanyId>
      <HasCompletedSearches>false</HasCompletedSearches>
      <HasEnhancedInformation>false</HasEnhancedInformation>
      <HasStartedSearches>false</HasStartedSearches>
      <Id>0</Id>
      <IsArchived>false</IsArchived>
      <SearchCriteria>
        <Address>String</Address>
        <Country>String</Country>
        <DateOfBirth>String</DateOfBirth>
        <Name>String</Name>
        <Nationality>String</Nationality>
        <Reference>String</Reference>
      </SearchCriteria>
      <SelectedLists>
        <ListId>String</ListId>
      </SelectedLists>
    </SearchRecord>
  </Data>
</GetCompanyLookupResponse>